---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libiterobjreachobj005.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x40A8, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C918, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E858, symBinAddr: 0xE160, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EC40, symBinAddr: 0xE548, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FBE0, symBinAddr: 0xF4E8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FBE8, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C550, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C554, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C558, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C6A8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C760, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C764, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C768, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C76C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C770, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C778, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C788, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C790, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C798, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C7A0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C7A8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C7B0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL10objCounter, symObjAddr: 0x4C7F4, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x4C7F8, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL11timer_info1, symObjAddr: 0x4C800, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E4, offset: 0x94E4, size: 0x8, addend: 0x0, symName: __ZL5nanos, symObjAddr: 0x4C820, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x94FD, offset: 0x94FD, size: 0x8, addend: 0x0, symName: __ZL11timer_info2, symObjAddr: 0x4C828, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4C848, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x4C888, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0x9586, offset: 0x9586, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x306C, symSize: 0xA0 }
  - { offsetInCU: 0x961B, offset: 0x961B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3044, symSize: 0x28 }
  - { offsetInCU: 0x967E, offset: 0x967E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2FC4, symSize: 0x80 }
  - { offsetInCU: 0x9912, offset: 0x9912, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x310C, symSize: 0x34 }
  - { offsetInCU: 0x996C, offset: 0x996C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3140, symSize: 0x20C }
  - { offsetInCU: 0x9B25, offset: 0x9B25, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x334C, symSize: 0x28 }
  - { offsetInCU: 0x9BEE, offset: 0x9BEE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3374, symSize: 0xB0 }
  - { offsetInCU: 0x9CE5, offset: 0x9CE5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3424, symSize: 0xD8 }
  - { offsetInCU: 0x9E36, offset: 0x9E36, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x34FC, symSize: 0x24 }
  - { offsetInCU: 0x9EE1, offset: 0x9EE1, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3520, symSize: 0x168 }
  - { offsetInCU: 0xA0BD, offset: 0xA0BD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3688, symSize: 0x104 }
  - { offsetInCU: 0xA36E, offset: 0xA36E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x378C, symSize: 0x3F8 }
  - { offsetInCU: 0xA592, offset: 0xA592, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3B84, symSize: 0x154 }
  - { offsetInCU: 0xA776, offset: 0xA776, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3CD8, symSize: 0xAC }
  - { offsetInCU: 0xA84B, offset: 0xA84B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3D84, symSize: 0x14 }
  - { offsetInCU: 0xA884, offset: 0xA884, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3D98, symSize: 0x14 }
  - { offsetInCU: 0xA8BD, offset: 0xA8BD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3DAC, symSize: 0x14 }
  - { offsetInCU: 0xAA3A, offset: 0xAA3A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3DC0, symSize: 0x1A8 }
  - { offsetInCU: 0xAD44, offset: 0xAD44, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3F68, symSize: 0x140 }
  - { offsetInCU: 0xAEE5, offset: 0xAEE5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4318, symSize: 0x1C0 }
  - { offsetInCU: 0xB1C2, offset: 0xB1C2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x44D8, symSize: 0x9C }
  - { offsetInCU: 0xB27F, offset: 0xB27F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4574, symSize: 0x690 }
  - { offsetInCU: 0xBE11, offset: 0xBE11, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x956C, symBinAddr: 0x5F30, symSize: 0x30 }
  - { offsetInCU: 0xBE9D, offset: 0xBE9D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4C04, symSize: 0x74 }
  - { offsetInCU: 0xBF91, offset: 0xBF91, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x3E34, symBinAddr: 0x4C78, symSize: 0x384 }
  - { offsetInCU: 0xC3E0, offset: 0xC3E0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4FFC, symSize: 0xB0 }
  - { offsetInCU: 0xC4BF, offset: 0xC4BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x50AC, symSize: 0x3C }
  - { offsetInCU: 0xC5B5, offset: 0xC5B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x50E8, symSize: 0x29C }
  - { offsetInCU: 0xC8F8, offset: 0xC8F8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5384, symSize: 0xD0 }
  - { offsetInCU: 0xCA26, offset: 0xCA26, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5454, symSize: 0xC }
  - { offsetInCU: 0xCAE8, offset: 0xCAE8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5460, symSize: 0x22C }
  - { offsetInCU: 0xCDA3, offset: 0xCDA3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x568C, symSize: 0x4 }
  - { offsetInCU: 0xCDE7, offset: 0xCDE7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x568C, symSize: 0x4 }
  - { offsetInCU: 0xCE00, offset: 0xCE00, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5690, symSize: 0x1F4 }
  - { offsetInCU: 0xD066, offset: 0xD066, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EC0, symBinAddr: 0x5884, symSize: 0x4 }
  - { offsetInCU: 0xD0AA, offset: 0xD0AA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EC0, symBinAddr: 0x5884, symSize: 0x4 }
  - { offsetInCU: 0xD143, offset: 0xD143, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x8EC4, symBinAddr: 0x5888, symSize: 0x35C }
  - { offsetInCU: 0xD597, offset: 0xD597, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9220, symBinAddr: 0x5BE4, symSize: 0x34C }
  - { offsetInCU: 0xD992, offset: 0xD992, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x959C, symBinAddr: 0x5F60, symSize: 0x358 }
...
